Subject: Re: [PATCH 2/2] git submodule: Fix adding of submodules at paths with ./

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Feb 2009 13:25:09 -0800

Johannes Sixt <[email-masked]> writes:

> Michael J Gruber schrieb:
> ...
>> Now, the /// are in fact a valid concern[1], although probably not that
>> common an isue.
>
> I'm fine if only common use cases are taken care of. If you say that ./ is
> common and /// is not, then I'll believe it because I'm not a git
> submodule user (yet) and can't argue about this with my own experience.

Even if it is not worth the complication to the code to fix /// or /../
cases, I think it is worth *detecting* such an incoming path and error
out, telling the user not to give a "funky" path.